OpenJPA Enhancement Builder failed with message 'java.lang.IllegalArgumentException: type = 18'

classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|

OpenJPA Enhancement Builder failed with message 'java.lang.IllegalArgumentException: type = 18'

Amiri, Dario (GE Digital)
Hello all,

I am seeing the following error when using the Eclipse byte code enhancer:


Errors occurred during the build.

Errors running builder 'OpenJPA PC-Enhancer Project Builder' on project ‘my-project'.

OpenJPA Enhancement Builder failed with message 'java.lang.IllegalArgumentException: type = 18' for class: /some/path/SomeAbstractClass.class

type = 18

OpenJPA Enhancement Builder failed with message 'java.lang.IllegalArgumentException: type = 18' for class: /some/path/SomeAbstractClass.class

type = 18


Also I noticed that if I try to modify the version of OpenJPA to use in the project property that selecting “2.0” or “2.1” results in the “Apply” button being grayed out. I would appreciate it if someone could help me troubleshoot these issues.


Regards,


Dario